Bug 1301440 - [fork][userinterface_public_455]It's better to show error notification when click save button if there is error on bc edit page
[fork][userinterface_public_455]It's better to show error notification when c...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jakub Hadvig
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-24 22:07 EST by yapei
Modified: 2016-05-12 13:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:14:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yapei 2016-01-24 22:07:04 EST
Description of problem:
when there is configuration error on bc edit page console didn't popup error notification nor redirect to bc browse page when click "Save" button, user must click "Cancel" button to return bc browse page and see the error. It's better to give error notification and redirection on clicking "Save" button if error occurs during edit.

Version-Release number of selected component (if applicable):
fork_ami_openshift3_userinterface_public_455_187

How reproducible:
Always

Steps to Reproduce:
1.Create buildconfig
2.Access buildconfig edit page
3. Select "Automatically build a new image when the builder image changes" but leave "Build From" as "None" in Image Configuration
4. Click save

Actual results:
4. Click on save button stay on edit page and no useful info printed

Expected results:
4. Click on save button should redirect to bc browse page and give error notification


Additional info:
Comment 1 Samuel Padgett 2016-01-25 08:11:18 EST
I suggest we stay on the edit page when there are errors so the user can fix the problem and doesn't lose their edits. We need to show an error message, though.
Comment 2 yapei 2016-01-25 21:03:00 EST
agree, that will be more reasonable.
Comment 3 yapei 2016-01-25 21:05:03 EST
summary changed to clarify the issue
Comment 4 yapei 2016-02-05 02:19:09 EST
checked on latest origin devenv-rhel7_3335

1) when bc is changed via CLI before do any update on web console, click "Save" button will popup error notification indicating user should apply change against latest version
2) when bc is deleted and bc edit page still opens, there will be error message ob edit page indicating bc is deleted, user are not allowed to change anything for bc

it is reasonable and works as expected, could verify it once it is changed to ON_QA

Note You need to log in before you can comment on or make changes to this bug.